from django.urls import path

from .views import (
    ContentCategoryList,
    CreateCategory,
    DeleteCategory,
    EditCategory,
    CreateContent,
    DeleteContent,
    EditContent,
)

app_name = 'content'
urlpatterns = [
    path(
        'category/<int:pk>/',
        ContentCategoryList.as_view(),
        name='category-list'
    ),
    path(
        'category/delete/<int:pk>',
        DeleteCategory.as_view(),
        name='category-delete'
    ),
    path(
        'category/new/',
        CreateCategory.as_view(),
        name='category-new'
    ),
    path(
        'category/edit/<int:pk>',
        EditCategory.as_view(),
        name='category-edit',
    ),
    path(
        'new',
        CreateContent.as_view(),
        name='content-new',
    ),
    path(
        '<int:pk>/delete',
        DeleteContent.as_view(),
        name="content-delete",
    ),
    path(
        '<int:pk>/edit',
        EditContent.as_view(),
        name="content-edit",
    ),

]
