from django.urls import path
from .views import SettingsView, EditSiteSettingsView, degrade_user, promote_user

app_name = 'settings'
urlpatterns = [
    path(
        '',
        SettingsView.as_view(),
        name='index'
    ),
    path(
        'site_settings',
        EditSiteSettingsView.as_view(),
        name='site-settings'
    ),
    path(
        'degrade_user/<int:pk>',
        degrade_user,
        name='degrade-user',
    ),
    path(
        'promote_user',
        promote_user,
        name='promote-user',
    )

]
